Vinix· docs
API referenceCore APIIdentityAccounts

Create Accounts Reseller

Sandbox is coming soon

Today, requests on this page run against your live account. A hosted sandbox with simulated PSTN is on the roadmap — until then, use a non-production user or callflow when experimenting.

Details
PUT
/accounts/{account_id}/reseller

Authorization

AuthToken
X-Auth-Token<token>

Obtain via PUT /v2/user_auth (user credentials) or PUT /v2/api_auth (account API key). See Authentication.

In: header

Path Parameters

account_id*string

Vinix account identifier.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/accounts/string/reseller" \  -H "Content-Type: application/json" \  -d '{    "data": {      "name": "string"    }  }'
{
  "data": {
    "call_recording": {
      "account": {
        "any": {
          "any": {
            "enabled": true,
            "format": "mp3",
            "record_min_sec": 0,
            "record_on_answer": true,
            "record_on_bridge": true,
            "record_sample_rate": 0,
            "time_limit": 5,
            "url": "http://example.com"
          },
          "offnet": {
            "enabled": true,
            "format": "mp3",
            "record_min_sec": 0,
            "record_on_answer": true,
            "record_on_bridge": true,
            "record_sample_rate": 0,
            "time_limit": 5,
            "url": "http://example.com"
          },
          "onnet": {
            "enabled": true,
            "format": "mp3",
            "record_min_sec": 0,
            "record_on_answer": true,
            "record_on_bridge": true,
            "record_sample_rate": 0,
            "time_limit": 5,
            "url": "http://example.com"
          }
        },
        "inbound": {
          "any": {
            "enabled": true,
            "format": "mp3",
            "record_min_sec": 0,
            "record_on_answer": true,
            "record_on_bridge": true,
            "record_sample_rate": 0,
            "time_limit": 5,
            "url": "http://example.com"
          },
          "offnet": {
            "enabled": true,
            "format": "mp3",
            "record_min_sec": 0,
            "record_on_answer": true,
            "record_on_bridge": true,
            "record_sample_rate": 0,
            "time_limit": 5,
            "url": "http://example.com"
          },
          "onnet": {
            "enabled": true,
            "format": "mp3",
            "record_min_sec": 0,
            "record_on_answer": true,
            "record_on_bridge": true,
            "record_sample_rate": 0,
            "time_limit": 5,
            "url": "http://example.com"
          }
        },
        "outbound": {
          "any": {
            "enabled": true,
            "format": "mp3",
            "record_min_sec": 0,
            "record_on_answer": true,
            "record_on_bridge": true,
            "record_sample_rate": 0,
            "time_limit": 5,
            "url": "http://example.com"
          },
          "offnet": {
            "enabled": true,
            "format": "mp3",
            "record_min_sec": 0,
            "record_on_answer": true,
            "record_on_bridge": true,
            "record_sample_rate": 0,
            "time_limit": 5,
            "url": "http://example.com"
          },
          "onnet": {
            "enabled": true,
            "format": "mp3",
            "record_min_sec": 0,
            "record_on_answer": true,
            "record_on_bridge": true,
            "record_sample_rate": 0,
            "time_limit": 5,
            "url": "http://example.com"
          }
        }
      },
      "endpoint": {
        "any": {
          "any": {
            "enabled": true,
            "format": "mp3",
            "record_min_sec": 0,
            "record_on_answer": true,
            "record_on_bridge": true,
            "record_sample_rate": 0,
            "time_limit": 5,
            "url": "http://example.com"
          },
          "offnet": {
            "enabled": true,
            "format": "mp3",
            "record_min_sec": 0,
            "record_on_answer": true,
            "record_on_bridge": true,
            "record_sample_rate": 0,
            "time_limit": 5,
            "url": "http://example.com"
          },
          "onnet": {
            "enabled": true,
            "format": "mp3",
            "record_min_sec": 0,
            "record_on_answer": true,
            "record_on_bridge": true,
            "record_sample_rate": 0,
            "time_limit": 5,
            "url": "http://example.com"
          }
        },
        "inbound": {
          "any": {
            "enabled": true,
            "format": "mp3",
            "record_min_sec": 0,
            "record_on_answer": true,
            "record_on_bridge": true,
            "record_sample_rate": 0,
            "time_limit": 5,
            "url": "http://example.com"
          },
          "offnet": {
            "enabled": true,
            "format": "mp3",
            "record_min_sec": 0,
            "record_on_answer": true,
            "record_on_bridge": true,
            "record_sample_rate": 0,
            "time_limit": 5,
            "url": "http://example.com"
          },
          "onnet": {
            "enabled": true,
            "format": "mp3",
            "record_min_sec": 0,
            "record_on_answer": true,
            "record_on_bridge": true,
            "record_sample_rate": 0,
            "time_limit": 5,
            "url": "http://example.com"
          }
        },
        "outbound": {
          "any": {
            "enabled": true,
            "format": "mp3",
            "record_min_sec": 0,
            "record_on_answer": true,
            "record_on_bridge": true,
            "record_sample_rate": 0,
            "time_limit": 5,
            "url": "http://example.com"
          },
          "offnet": {
            "enabled": true,
            "format": "mp3",
            "record_min_sec": 0,
            "record_on_answer": true,
            "record_on_bridge": true,
            "record_sample_rate": 0,
            "time_limit": 5,
            "url": "http://example.com"
          },
          "onnet": {
            "enabled": true,
            "format": "mp3",
            "record_min_sec": 0,
            "record_on_answer": true,
            "record_on_bridge": true,
            "record_sample_rate": 0,
            "time_limit": 5,
            "url": "http://example.com"
          }
        }
      }
    },
    "call_restriction": {},
    "call_waiting": {
      "enabled": true
    },
    "caller_id": {
      "asserted": {
        "name": "string",
        "number": "string",
        "realm": "string"
      },
      "emergency": {
        "name": "string",
        "number": "string"
      },
      "external": {
        "name": "string",
        "number": "string"
      },
      "internal": {
        "name": "string",
        "number": "string"
      }
    },
    "caller_id_options": {
      "outbound_privacy": "full",
      "show_rate": true
    },
    "dial_plan": {
      "system": [
        "string"
      ],
      "property1": {
        "description": "string",
        "prefix": "string",
        "suffix": "string"
      },
      "property2": {
        "description": "string",
        "prefix": "string",
        "suffix": "string"
      }
    },
    "do_not_disturb": {
      "enabled": true
    },
    "enabled": true,
    "flags": [
      "string"
    ],
    "formatters": {
      "property1": [
        {
          "direction": "inbound",
          "match_invite_format": true,
          "prefix": "string",
          "regex": "/regex/",
          "strip": true,
          "suffix": "string",
          "value": "string"
        }
      ],
      "property2": [
        {
          "direction": "inbound",
          "match_invite_format": true,
          "prefix": "string",
          "regex": "/regex/",
          "strip": true,
          "suffix": "string",
          "value": "string"
        }
      ]
    },
    "language": "string",
    "metaflows": {
      "binding_digit": "1",
      "digit_timeout": 0,
      "listen_on": "both",
      "numbers": {
        "property1": {
          "children": {
            "property1": {
              "children": {},
              "data": {},
              "module": "string"
            },
            "property2": {
              "children": {},
              "data": {},
              "module": "string"
            }
          },
          "data": {},
          "module": "string"
        },
        "property2": {
          "children": {
            "property1": {
              "children": {},
              "data": {},
              "module": "string"
            },
            "property2": {
              "children": {},
              "data": {},
              "module": "string"
            }
          },
          "data": {},
          "module": "string"
        }
      },
      "patterns": {
        "property1": {
          "children": {
            "property1": {
              "children": {},
              "data": {},
              "module": "string"
            },
            "property2": {
              "children": {},
              "data": {},
              "module": "string"
            }
          },
          "data": {},
          "module": "string"
        },
        "property2": {
          "children": {
            "property1": {
              "children": {},
              "data": {},
              "module": "string"
            },
            "property2": {
              "children": {},
              "data": {},
              "module": "string"
            }
          },
          "data": {},
          "module": "string"
        }
      }
    },
    "music_on_hold": {},
    "name": "string",
    "notifications": {
      "first_occurrence": {
        "sent_initial_call": false,
        "sent_initial_registration": false
      },
      "low_balance": {
        "enabled": true,
        "last_notification": 0,
        "sent_low_balance": true,
        "threshold": 0
      }
    },
    "org": "string",
    "preflow": {},
    "realm": "string",
    "ringtones": {},
    "timezone": "string",
    "topup": {
      "threshold": 0
    },
    "voicemail": {
      "notify": {
        "callback": {
          "attempts": 0,
          "disabled": true,
          "interval_s": 0,
          "number": "string",
          "schedule": [
            0
          ],
          "timeout_s": 0
        }
      }
    },
    "zones": {}
  }
}
{
  "code": "string",
  "message": "string",
  "request_id": "string"
}
{
  "code": "string",
  "message": "string",
  "request_id": "string"
}
{
  "code": "string",
  "message": "string",
  "request_id": "string"
}